Juspay API Error Codes
Common Juspay API Error Codes are listed in the table below, these can also be downloaded in a sheet here.
Scroll inside to view more
|
Category
|
Code
|
Explanation
|
|---|---|---|
USER_ERROR
| INVALID_INPUT
| "In case input value is either incorrect or in the wrong format.
Ex: Date should be today’s date or date should be in UNIX EPOCH format." |
USER_ERROR
| RESOURCE_NOT_FOUND
| "In case where any identifier in the request is incorrect/not valid/not present
Ex: invalid merchant_id / txn_id / order_id / txn_uuid/ mandate_id" |
USER_ERROR
| EXPIRED
| "In cases where the identifier sent in the request is expired.
Ex: order id, card token, mandate token, direct wallet debit token etc" |
USER_ERROR
| DUPLICATE_REQUEST
| Another request for the same identifier (orderId, txnId, mandateId) is already in process
|
USER_ERROR
| MISSING_MANDATORY_PARAMETER
| "If any required param is missing in the request body
EX: order_id, mandate_id" |
USER_ERROR
| INVALID_ACTION
| "When the user is trying to do any operation which is not allowed on a particular status or failed due to some validation like limits etc.
Ex: Recurring on a revoked mandate, update on a charged order, max recurring exhausted, etc" |
USER_ERROR
| UNAUTHORIZED
| User is not authorized
|
USER_ERROR
| ALREADY_EXISTS
| Record already exists on the server.
|
USER_ERROR
| BAD_ORIGIN
| Request not allowed from this IP. Or IP is not whitelisted.
|
USER_ERROR
| UNAUTHENTICATED
| Invalid authentication
|
CONFIG_ERROR
| GATEWAY_NOT_FOUND
| "In case gateway is not found to route required transaction
Ex: Can't find a suitable gateway to process the transaction" |
CONFIG_ERROR
| ACCOUNT_NOT_FOUND
| "Account not found
EX: merchant or gateway not configured/inactive" |
CONFIG_ERROR
| INVALID_ACCOUNT_DETAILS
| Can be sent in cases where we are unable to decode account details stored or walletAccount.
|
CONFIG_ERROR
| LOCKER_NOT_CONFIGURED
| Locker id is not configured in merchant account
|
CONFIG_ERROR
| FEATURE_NOT_ENABLED
| "Service config or feature is not enabled.
Ex: Zero auth is not enabled" |
CONFIG_ERROR
| KEY_NOT_CONFIGURED
| "Any encryption/encoding/decoding key is not configured against the merchant.
Ex: Missing card encoding/decoding key" |
SERVER_ERROR
| INTERNAL_SERVER_ERROR
| Server was unable to process the request
|
GATEWAY_ERROR
| SERVICE_UNAVAILABLE
| gateway is down, unable to process request, rate limiting
|
GATEWAY_ERROR
| GATEWAY_ERROR
| Error from PG side, or some unknown response, or gateway response decode cases
|
GATEWAY_ERROR
| GATEWAY_TIMEOUT
| gateway request timed out
|
UNKNOWN
| UNKNOWN_ERROR
| Catch all. In case of any new error code, if an entry is not present in the JEM table, we’ll send this error.
|

